<?php

header('Content-Type: application/json');

function fetchProfilePicture($phoneNumber) {
    $apiUrl = "https://api.suporte24h.site/chat/fetchProfilePictureUrl/EscalaTotal";
    $headers = [
        "Content-Type: application/json",
        "apikey: 5jkyr9k7q1y0i1dmtvxkxkl"
    ];
    $postData = json_encode(['number' => $phoneNumber]);

    $ch = curl_init($apiUrl);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);

    $response = curl_exec($ch);
    curl_close($ch);

    if ($response === false) {
        return [
            'success' => false,
            'message' => 'Erro ao conectar à API externa.',
            'profilePictureUrl' => 'https://i.ibb.co/dBTfnyy/Design-sem-nome-2.jpg' // Imagem padrão em caso de erro
        ];
    }

    $data = json_decode($response, true);

    if (isset($data['profilePictureUrl']) && !empty($data['profilePictureUrl'])) {
        return [
            'success' => true,
            'message' => 'URL da imagem obtida com sucesso.',
            'profilePictureUrl' => $data['profilePictureUrl']
        ];
    } else {
        return [
            'success' => false,
            'message' => 'URL da imagem não encontrada, retornando imagem padrão.',
            'profilePictureUrl' => 'https://i.ibb.co/dBTfnyy/Design-sem-nome-2.jpg' // Imagem padrão se a URL estiver nula
        ];
    }
}

// Verifica se o parâmetro 'numero' foi passado via GET
if (isset($_GET['numero'])) {
    $phoneNumber = $_GET['numero'];
    $result = fetchProfilePicture($phoneNumber);
    echo json_encode($result);
} else {
    echo json_encode([
        'success' => false,
        'message' => 'Por favor, forneça um número de telefone no formato correto. Exemplo: ?numero=5588998265380'
    ]);
}

?>
